<?xml version='1.0' encoding='UTF-8' standalone='yes' ?><hierarchy rotation="0"><node index="0" text="" resource-id="" class="android.widget.FrameLayout" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[20,280][1180,1592]"><node index="0" text="" resource-id="" class="android.widget.LinearLayout" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[52,312][1148,1560]"><node index="0" text="" resource-id="android:id/content" class="android.widget.FrameLayout" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[52,312][1148,1560]"><node index="0" text="" resource-id="com.tortel.syslog:id/root" class="android.view.ViewGroup" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[52,312][1148,1560]"><node index="2" text="" resource-id="com.tortel.syslog:id/titleFrame" class="android.widget.LinearLayout" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[52,312][1148,438]"><node index="0" text="SysLog FAQ" resource-id="com.tortel.syslog:id/title" class="android.widget.TextView" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[100,360][1100,414]" /></node><node index="3" text="" resource-id="com.tortel.syslog:id/customViewFrame" class="android.widget.FrameLayout" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[52,438][1148,1432]"><node index="0" text="" resource-id="" class="android.widget.ScrollView" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[52,438][1148,1432]"><node index="0" text="Why does SysLog need root access?&#10;&#10;Starting with Android 4.1, the system logs were restricted to system applications only. Don't fret, thats a good thing!That means that without root access, your logs are secure.&#10;I take root access seriously. SysLog is licensed under the GPL, and you can review the commands run within this file.&#10;&#10;Why is the last kernel log grayed out?&#10;&#10;Your device's kernel needs to support the last log feature, and SysLog checks for the '/proc/last_kmsg' file at start. Even if your kernel supports the feature, it may only save the log during a kernel crash. Check for more details with the maintainer of the kernel/ROM you use.&#10;&#10;What is Grep?&#10;&#10;Grep is a Unix utility to match lines based on regular expressions. If you are not familiar with it, I would not recommend using it. For more details, check the help page. &#10;&#10;What information gets scrubbed?&#10;&#10;The scrubber uses a set of regular expressions to scrub out email addresses, phone numbers, URLs, IP addresses, serial number, and some basic phone and user information. For more details, you can view the source.&#10;&#10;" resource-id="com.tortel.syslog:id/text" class="android.widget.TextView" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[62,448][1138,1422]" /></node></node><node index="4" text="Close" resource-id="com.tortel.syslog:id/buttonDefaultPositive" class="android.widget.TextView" package="com.tortel.syslog" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[980,1448][1124,1544]" /></node></node></node></node></hierarchy>